%global commit0 ec75dddf6c2fb634972962a3b8f10fd41c59bb61
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global gitowner otto-de

%global varnishver 5.2.0
%global vabi 6.1
%global vabistrict 4c4875cbf

Name: vmod-uuid
Summary: UUID module for Varnish Cache
Version: 1.3
Release: 1%{?dist}
License: BSD
Group: System Environment/Daemons
URL: https://github.com/otto-de/lib%{name}.git
Source0: https://github.com/%{gitowner}/lib%{name}/archive/%{commit0}/lib%{name}-%{shortcommit0}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: varnish = %varnishver
Requires: varnishabi-%vabi
Requires: varnishabi-strict-%vabistrict

BuildRequires: make
BuildRequires: gcc
BuildRequires: pkgconfig
BuildRequires: uuid-devel
BuildRequires: varnish = %varnishver
BuildRequires: varnish-libs-devel = %varnishver
BuildRequires: check-devel
BuildRequires: autoconf-archive

# To build from a git checkout, add these
BuildRequires: automake
BuildRequires: libtool
BuildRequires: python-docutils

%description
UUID Varnish vmod used to generate a uuid, including versions 1, 3, 4 and 5
as specified in RFC 4122. See the RFC for details about the various versions.


%prep
echo Upstream: https://github.com/%{gitowner}/lib%{name}/archive/%{commit0}/lib%{name}-%{shortcommit0}.tar.gz
%setup -q -n lib%{name}-%{commit0}

%build
./autogen.sh

%configure \
  --docdir=%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}
# We have to remove rpath - not allowed in Fedora
# (This problem only visible on 64 bit arches)
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g;
        s|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make


%check
make check


%install
# Clean buildroot on older el variants
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
find %{buildroot}/%{_libdir}/ -name  '*.a' -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_libdir}/varnish*/vmods/
%if 0%{?fedora} >= 17 || 0%{?rhel} >= 7
%license LICENSE
%else
%doc LICENSE
%endif
%doc README.rst
%{_mandir}/man3/*.3*

%changelog
* Fri Nov 03 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.3-1
- New upstream release 1.3 aka ec75ddd

